import { createProxyMiddleware } from 'http-proxy-middleware';
export const httpProxyPlugin = {
    name: 'httpProxy',
    devServer({ config, platform, app }) {
        if (platform !== 'web')
            return;
        const httpProxyConfig = getHttpProxyCosmosConfig(config);
        Object.keys(httpProxyConfig).forEach(context => {
            const value = httpProxyConfig[context];
            if (typeof value === 'string') {
                app.use(context, createProxyMiddleware(context, { target: value }));
            }
            else if (typeof value === 'object') {
                app.use(context, createProxyMiddleware(context, value));
            }
        });
    },
};
function getHttpProxyCosmosConfig(config) {
    return (config.httpProxy || {});
}
